/ / java.lang.NoSuchFieldError: Brak pola statycznego KL typu Lcom / google / android / gms / internal / zzsb $ zzb - java, android, google-play-services

java.lang.NoSuchFieldError: Brak pola statycznego KL typu Lcom / google / android / gms / internal / zzsb $ zzb - java, android, google-play-services

Próbuję otworzyć działanie kamery na moim systemie Android, ale wystąpił ten błąd podczas uruchamiania działania:

FATAL EXCEPTION: main
Process: bookreader.bookreader, PID: 19132
java.lang.NoSuchFieldError: No static field KL of type Lcom/google/android/gms/internal/zzsb$zzb; in class Lcom/google/android/gms/internal/zzsb; or its superclasses (declaration of "com.google.android.gms.internal.zzsb" appears in /data/app/bookreader.bookreader-1/split_lib_dependencies_apk.apk:classes4.dex)
at com.google.android.gms.vision.text.internal.client.zze.zzcic(Unknown Source)
at com.google.android.gms.vision.text.internal.client.zze.<init>(Unknown Source)
at com.google.android.gms.vision.text.TextRecognizer$Builder.build(Unknown Source)
at bookreader.bookreader.CameraActivity.onCreate(CameraActivity.java:97)
at android.app.Activity.performCreate(Activity.java:6609)
at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1134)
at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3113)
at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3275)
at android.app.ActivityThread.access$1000(ActivityThread.java:218)
at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1744)
at android.os.Handler.dispatchMessage(Handler.java:102)
at android.os.Looper.loop(Looper.java:145)
at android.app.ActivityThread.main(ActivityThread.java:7007)
at java.lang.reflect.Method.invoke(Native Method)
at java.lang.reflect.Method.invoke(Method.java:372)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:1404)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1199)

Nie wiem jak to rozwiązać. W moim Manifeście Androida mam to:

 <meta-data
android:name="com.google.android.gms.version"
android:value="@integer/google_play_services_version" />

Odpowiedzi:

0 dla odpowiedzi № 1

upewnij się, że wszystko jest aktualne w twoim build.gradle

nie występuje taki błąd metody / pola / klasy z powodu niezgodności wersji zależności (nazwy zaciemnianych pól mogą być różne w różnych wersjach)